# SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
# SPDX-License-Identifier: Apache-2.0
---
# The global properties are used to configure multiple charts at once.
global:
  # -- Container registry address.
  registry: "docker.io"

  # -- Credentials to fetch images from private registry
  # Ref: https://kubernetes.io/docs/tasks/configure-pod-container/pull-image-private-registry/
  #
  # imagePullSecrets:
  #   - "docker-registry"
  #
  imagePullSecrets: []

# -- Affinity for pod assignment
# Ref: https://kubernetes.io/docs/concepts/configuration/assign-pod-node/#affinity-and-anti-affinity
# Note: podAffinityPreset, podAntiAffinityPreset, and  nodeAffinityPreset will be ignored when it's set
affinity: {}

# -- Additional custom annotations to add to all deployed objects.
commonAnnotations: {}

# -- Additional custom labels to add to all deployed objects.
commonLabels: {}

# Security Context.
# Ref: https://kubernetes.io/docs/tasks/configure-pod-container/security-context/
containerSecurityContext:
  # -- Enable container privileged escalation.
  allowPrivilegeEscalation: false

  # -- Security capabilities for container.
  capabilities:
    drop:
      - "ALL"

  # -- Enable security context.
  enabled: true

  # -- Process user id.
  runAsUser: 100

  # -- Process group id.
  runAsGroup: 101

  # Set Seccomp profile.
  seccompProfile:
    # -- Disallow custom Seccomp profile by setting it to RuntimeDefault.
    type: "RuntimeDefault"

  # -- Mounts the container's root filesystem as read-only.
  readOnlyRootFilesystem: true

  # -- Run container as user.
  runAsNonRoot: true

# -- Array with extra environment variables to add to containers.
#
# extraEnvVars:
#   - name: FOO
#     value: "bar"
#
extraEnvVars: []

# -- Optionally specify extra list of additional volumes
extraVolumes: []

# -- Optionally specify extra list of additional volumeMounts.
extraVolumeMounts: []

# -- Provide a name to substitute for the full names of resources.
fullnameOverride: ""

# Container image section.
image:
  # Image for ClamAV container.
  clamav:
    # -- Container registry address. This setting has higher precedence than global.registry.
    registry: ""

    # -- Container repository string.
    repository: "clamav/clamav"

    # -- Define an ImagePullPolicy.
    #
    # Ref.: https://kubernetes.io/docs/concepts/containers/images/#image-pull-policy
    #
    # "IfNotPresent" => The image is pulled only if it is not already present locally.
    # "Always" => Every time the kubelet launches a container, the kubelet queries the container image registry to
    #             resolve the name to an image digest. If the kubelet has a container image with that exact digest cached
    #             locally, the kubelet uses its cached image; otherwise, the kubelet pulls the image with the resolved
    #             digest, and uses that image to launch the container.
    # "Never" => The kubelet does not try fetching the image. If the image is somehow already present locally, the
    #            kubelet attempts to start the container; otherwise, startup fails
    #
    imagePullPolicy: "IfNotPresent"

    # -- Define image tag.
    tag: "1.1.1-10_base@sha256:aed8d5a3ef58352c862028fae44241215a50eae0b9acb7ba8892b1edc0a6598f"

  # Image for ICAP container.
  icap:
    # -- Container registry address. This setting has higher precedence than global.registry.
    registry: "registry.souvap-univention.de"

    # -- Container repository string.
    repository: "souvap/tooling/images/c-icap"

    # -- Define an ImagePullPolicy.
    #
    # Ref.: https://kubernetes.io/docs/concepts/containers/images/#image-pull-policy
    #
    # "IfNotPresent" => The image is pulled only if it is not already present locally.
    # "Always" => Every time the kubelet launches a container, the kubelet queries the container image registry to
    #             resolve the name to an image digest. If the kubelet has a container image with that exact digest cached
    #             locally, the kubelet uses its cached image; otherwise, the kubelet pulls the image with the resolved
    #             digest, and uses that image to launch the container.
    # "Never" => The kubelet does not try fetching the image. If the image is somehow already present locally, the
    #            kubelet attempts to start the container; otherwise, startup fails
    #
    imagePullPolicy: "IfNotPresent"

    # -- Define image tag.
    tag: "0.5.10@sha256:ca4574d66aa035621336329bf08b8de9f65dc0f6744e3950ca6a0c5ba8cbd8ba"

# -- Credentials to fetch images from private registry
# Ref: https://kubernetes.io/docs/tasks/configure-pod-container/pull-image-private-registry/
#
# imagePullSecrets:
#   - "docker-registry"
#
imagePullSecrets: []

# Chown initContianer.
initContainer:
  # -- Enable chown before clamav.
  enabled: true

  # Security Context.
  # Ref: https://kubernetes.io/docs/tasks/configure-pod-container/security-context/
  containerSecurityContext:
    # -- Enable container privileged escalation.
    allowPrivilegeEscalation: false

    # -- Enable security context.
    enabled: true

    # Set Seccomp profile.
    seccompProfile:
      # -- Disallow custom Seccomp profile by setting it to RuntimeDefault.
      type: "RuntimeDefault"

    # -- Mounts the container's root filesystem as read-only.
    readOnlyRootFilesystem: true

    # -- Run container as user.
    runAsNonRoot: false

# -- Lifecycle to automate configuration before or after startup
lifecycleHooks: {}

# -- String to partially override release name.
nameOverride: ""

# -- Node labels for pod assignment
# Ref: https://kubernetes.io/docs/user-guide/node-selection/
nodeSelector: {}

#  Configure extra options for containers probes.
livenessProbe:
  # -- Enables kubernetes LivenessProbe.
  enabled: true
  # -- Number of failed executions until container is terminated.
  failureThreshold: 10
  # -- Delay after container start until LivenessProbe is executed.
  initialDelaySeconds: 15
  # -- Time between probe executions.
  periodSeconds: 20
  # -- Number of successful executions after failed ones until container is marked healthy.
  successThreshold: 1
  # -- Timeout for command return.
  timeoutSeconds: 5

# Database persistence settings.
persistence:
  # -- The volume access modes, some of "ReadWriteOnce", "ReadOnlyMany", "ReadWriteMany", "ReadWriteOncePod".
  #
  # "ReadWriteOnce" => The volume can be mounted as read-write by a single node. ReadWriteOnce access mode still can
  #                    allow multiple pods to access the volume when the pods are running on the same node.
  # "ReadOnlyMany" => The volume can be mounted as read-only by many nodes.
  # "ReadWriteMany" => The volume can be mounted as read-write by many nodes.
  # "ReadWriteOncePod" => The volume can be mounted as read-write by a single Pod. Use ReadWriteOncePod access mode if
  #                       you want to ensure that only one pod across whole cluster can read that PVC or write to it.
  #
  accessModes:
    - "ReadWriteOnce"

  # -- Annotations for the PVC.
  annotations: {}

  # -- Custom PVC data source.
  dataSource: {}

  # -- Enable data persistence (true) or use temporary storage (false).
  enabled: true

  # -- Use an already existing claim.
  existingClaim: ""

  # -- Labels for the PVC.
  labels: {}

  # -- The volume size with unit.
  size: "1Gi"

  # -- The (storage) class of PV.
  storageClass: ""

  # -- Selector to match an existing Persistent Volume (this value is evaluated as a template)
  #
  # selector:
  #   matchLabels:
  #     app: my-app
  #
  selector: {}

  # Temporary directory.
  temporaryDirectory:
    # -- Size limit of emptyDir volume.
    size: "1Gi"

# -- Pod Annotations.
# Ref: https://kubernetes.io/docs/concepts/overview/working-with-objects/annotations/
podAnnotations: {}

# -- Pod Labels.
# Ref: https://kubernetes.io/docs/concepts/overview/working-with-objects/labels/
podLabels: {}

# Pod Security Context.
# Ref: https://kubernetes.io/docs/tasks/configure-pod-container/security-context/
podSecurityContext:
  # -- Enable security context.
  enabled: true

  # -- If specified, all processes of the container are also part of the supplementary group
  fsGroup: 101

  # -- Change ownership and permission of the volume before being exposed inside a Pod.
  fsGroupChangePolicy: "Always"

#  Configure extra options for containers probes.
readinessProbe:
  # -- Enables kubernetes ReadinessProbe.
  enabled: true
  # -- Delay after container start until ReadinessProbe is executed.
  initialDelaySeconds: 15
  # -- Number of failed executions until container is terminated.
  failureThreshold: 10
  # -- Time between probe executions.
  periodSeconds: 20
  # -- Number of successful executions after failed ones until container is marked healthy.
  successThreshold: 1
  # -- Timeout for command return.
  timeoutSeconds: 5

# -- Set the amount of replicas of deployment.
replicaCount: 1

# Configure resource requests and limits.
#
# http://kubernetes.io/docs/user-guide/compute-resources/
#
resources:
  limits:
    # -- The max amount of CPUs to consume.
    cpu: 4
    # -- The max amount of RAM to consume.
    memory: "4Gi"
  requests:
    # -- The amount of CPUs which has to be available on the scheduled node.
    cpu: "10m"
    # -- The amount of RAM which has to be available on the scheduled node.
    memory: "2Gi"

# Define and create Kubernetes Service.
#
# Ref.: https://kubernetes.io/docs/concepts/services-networking/service
service:
  # -- Additional custom annotations
  annotations: {}

  # -- Enable kubernetes service creation.
  enabled: true

  # "ClusterIP" => Exposes the Service on a cluster-internal IP. Choosing this value makes the Service only reachable
  #                from within the cluster. This is the default that is used if you don't explicitly specify a type for
  #                a Service.
  # "NodePort" => Exposes the Service on each Node's IP at a static port (the NodePort). To make the node port
  #               available, Kubernetes sets up a cluster IP address, the same as if you had requested a Service of
  #               type: ClusterIP.
  # "LoadBalancer" => Exposes the Service externally using a cloud provider's load balancer.
  #
  # Ref.: https://kubernetes.io/docs/concepts/services-networking/service/#publishing-services-service-types

  # -- Choose the kind of Service, one of "ClusterIP", "NodePort" or "LoadBalancer".
  type: "ClusterIP"

  # Define the ports of Service.
  # You can set the port value to an arbitrary value, it will map the container port by name.
  #
  ports:
    clamd:
      # -- Accessible port for ClamAV clamd.
      port: 3310
      # -- Internal port for ClamAV clamd.
      containerPort: 3310
      # -- Milter service protocol.
      protocol: "TCP"
    icap:
      # -- Accessible port for ClamAV icap.
      port: 1344
      # -- Internal port for ClamAV icap.
      containerPort: 1344
      # -- Milter service protocol.
      protocol: "TCP"
    milter:
      # -- Accessible port for ClamAV milter.
      port: 7357
      # -- Internal port for ClamAV milter.
      containerPort: 7357
      # -- Milter service protocol.
      protocol: "TCP"

# Service account to use.
# Ref.: https://kubernetes.io/docs/tasks/configure-pod-container/configure-service-account/
serviceAccount:
  # -- Additional custom annotations for the ServiceAccount.
  annotations: {}

  # -- Allows auto mount of ServiceAccountToken on the serviceAccount created. Can be set to false if pods using this
  # serviceAccount do not need to use K8s API.
  automountServiceAccountToken: false

  # -- Enable creation of ServiceAccount for pod.
  create: true

  # -- Additional custom labels for the ServiceAccount.
  labels: {}

# ClamAV configuration.
settings:
  # Settings for clamd.
  clamd:
    # -- Enable Prelude output.
    preludeEnable: "no"

    # -- Set the name of the analyzer used by prelude-admin.
    preludeAnalyzerName: "ClamAV"

    # -- Log additional information about the infected file, such as its size and hash, together with the virus name.
    extendedDetectionInfo: "yes"

    # -- This option allows you to save a process identifier of the listening daemon (main thread).
    # This file will be owned by root, as long as clamd was started by root.
    # It is recommended that the directory where this file is stored is also owned by root to keep other users from
    # tampering with it.
    pidFile: "/tmp/clamd.pid"

    # -- Optional path to the global temporary directory.
    temporaryDirectory: "/var/tmp"

    # -- Only load the official signatures published by the ClamAV project.
    officialDatabaseOnly: "no"

    # -- Path to a local socket file the daemon will listen on.
    localSocket: "/tmp/clamd.sock"

    # -- Sets the group ownership on the unix socket.
    localSocketGroup: ""

    # -- Sets the group ownership on the unix socket.
    localSocketMode: 660

    # -- Remove stale socket after unclean shutdown.
    fixStaleSocket: "yes"

    # -- Maximum length the queue of pending connections may grow to.
    maxConnectionQueueLength: 200

    # -- Close the connection when the data size limit is exceeded. The value should match your MTA's limit for a maximum
    # attachment size.
    streamMaxLength: "100M"

    # -- Limit port range.
    streamMinPort: 1024

    # -- Limit port range.
    streamMaxPort: 2048

    # --  Maximum number of threads running at the same time.
    maxThreads: 10

    # -- Waiting for data from a client socket will timeout after this time (seconds).
    readTimeout: 120

    # -- This option specifies the time (in seconds) after which clamd should timeout if a client doesn't provide any
    # initial command after connecting.
    commandReadTimeout: 30

    # -- This option specifies how long to wait (in milliseconds) if the send buffer is full.
    # Keep this value low to prevent clamd hanging.
    sendBufTimeout: 500

    # -- Maximum number of queued items (including those being processed by MaxThreads threads).
    # It is recommended to have this value at least twice MaxThreads if possible.
    maxQueue: 100

    # -- Waiting for a new job will timeout after this time (seconds).
    idleTimeout: 30

    # -- Maximum depth directories are scanned at.
    maxDirectoryRecursion: 15

    # -- Follow directory symlinks.
    followDirectorySymlinks: "no"

    # -- Follow regular file symlinks.
    followFileSymlinks: "no"

    # -- Scan files and directories on other filesystems.
    crossFilesystems: "yes"

    # Perform a database check.
    selfCheck: 120

    # -- Enable non-blocking (multi-threaded/concurrent) database reloads.
    # This feature will temporarily load a second scanning engine while scanning continues using the first engine. Once
    # loaded, the new engine takes over.
    # The old engine is removed as soon as all scans using the old engine have completed.
    # This feature requires more RAM, so this option is provided in case users are willing to block scans during reload in
    # exchange for lower RAM requirements.
    concurrentDatabaseReload: "yes"

    # -- Execute a command when virus is found. In the command string %v will be replaced with the virus name and %f will
    # be replaced with the file name.
    # Additionally, two environment variables will be defined: $CLAM_VIRUSEVENT_FILENAME and $CLAM_VIRUSEVENT_VIRUSNAME.
    virusEvent: "no"

    # -- Run as another user (clamd must be started by root for this option to work)
    user: "clamav"

    # -- Stop daemon when libclamav reports out of memory condition.
    exitOnOOM: "yes"

    # -- Enable debug messages in libclamav.
    debug: "no"

    # -- Do not remove temporary files (for debug purposes).
    leaveTemporaryFiles: "no"

    # -- Record metadata about the file being scanned.
    # Scan metadata is useful for file analysis purposes and for debugging scan behavior.
    # The JSON metadata will be printed after the scan is complete if Debug is enabled.
    # A metadata.json file will be written to the scan temp directory if LeaveTemporaryFiles is enabled.
    generateMetadataJson: "yes"

    # -- Permit use of the ALLMATCHSCAN command. If set to no, clamd will reject any ALLMATCHSCAN command as invalid.
    allowAllMatchScan: "yes"

    # -- # Detect Possibly Unwanted Applications.
    detectPUA: "no"

    # -- This option causes memory or nested map scans to dump the content to disk.
    # If you turn on this option, more data is written to disk and is available when the LeaveTemporaryFiles option is
    # enabled.
    forceToDisk: "yes"

    # -- This option allows you to disable the caching feature of the engine. By default, the engine will store an MD5 in
    # a cache of any files that are not flagged as virus or that hit limits checks. Disabling the cache will have a
    # negative performance impact on large scans.
    disableCache: "no"

    # -- In some cases (eg. complex malware, exploits in graphic files, and others), ClamAV uses special algorithms to
    # detect abnormal patterns and behaviors that may be malicious. This option enables alerting on such heuristically
    # detected potential threats.
    heuristicAlerts: "yes"

    # -- Allow heuristic alerts to take precedence.
    # When enabled, if a heuristic scan (such as phishingScan) detects a possible virus/phish it will stop scan
    # immediately. Recommended, saves CPU scan-time.
    # When disabled, virus/phish detected by heuristic scans will be reported only at the end of a scan. If an archive
    # contains both a heuristically detected virus/phish, and a real malware, the real malware will be reported
    #
    # Keep this disabled if you intend to handle "Heuristics.*" viruses differently from "real" malware.
    # If a non-heuristically-detected virus (signature-based) is found first, the scan is interrupted immediately,
    # regardless of this config option.
    heuristicScanPrecedence: "no"

    # -- With this option clamav will try to detect broken executables (both PE and ELF) and alert on them with the
    # Broken.Executable heuristic signature.
    alertBrokenExecutables: "yes"

    # -- With this option clamav will try to detect broken media file (JPEG, TIFF, PNG, GIF) and alert on them with a
    # Broken.Media heuristic signature.
    alertBrokenMedia: "no"

    # --  Alert on encrypted archives _and_ documents with heuristic signature (encrypted .zip, .7zip, .rar, .pdf).
    alertEncrypted: "no"

    # -- Alert on encrypted archives with heuristic signature (encrypted .zip, .7zip, .rar).
    alertEncryptedArchive: "no"

    # -- Alert on encrypted archives with heuristic signature (encrypted .pdf)
    alertEncryptedDoc: "no"

    # -- With this option enabled OLE2 files containing VBA macros, which were not detected by signatures will be marked
    # as "Heuristics.OLE2.ContainsMacros".
    alertOLE2Macros: "no"

    # -- Alert on SSL mismatches in URLs, even if the URL isn't in the database. This can lead to false positives.
    alertPhishingSSLMismatch: "no"

    # -- Alert on cloaked URLs, even if URL isn't in database. This can lead to false positives.
    alertPhishingCloak: "no"

    # -- Alert on raw DMG image files containing partition intersections
    alertPartitionIntersection: "no"

    # -- PE stands for Portable Executable - it's an executable file format used in all 32 and 64-bit versions of Windows
    # operating systems. This option allows ClamAV to perform a deeper analysis of executable files and it's also required
    # for decompression of popular executable packers such as UPX, FSG, and Petite. If you turn off this option, the
    # original files will still be scanned, but without additional processing.
    scanPE: "yes"

    # -- Certain PE files contain an authenticode signature. By default, we check the signature chain in the PE file
    # against a database of trusted and revoked certificates if the file being scanned is marked as a virus.
    # If any certificate in the chain validates against any trusted root, but does not match any revoked certificate, the
    # file is marked as trusted.
    # If the file does match a revoked certificate, the file is marked as virus.
    # The following setting completely turns off authenticode verification.
    disableCertCheck: "no"

    # -- Executable and Linking Format is a standard format for UN*X executables.
    # This option allows you to control the scanning of ELF files.
    # If you turn off this option, the original files will still be scanned, but without additional processing.
    scanELF: "yes"

    # -- This option enables scanning of OLE2 files, such as Microsoft Office documents and .msi files.
    # If you turn off this option, the original files will still be scanned, but without additional processing.
    scanOLE2: "yes"

    # -- This option enables scanning within PDF files.
    # If you turn off this option, the original files will still be scanned, but without decoding and additional
    # processing.
    scanPDF: "yes"

    # -- This option enables scanning within SWF files.
    # If you turn off this option, the original files will still be scanned, but without decoding and additional
    # processing.
    scanSWF: "yes"

    # -- This option enables scanning xml-based document files supported by libclamav.
    # If you turn off this option, the original files will still be scanned, but without additional processing.
    scanXMLDOCS: "yes"

    # -- This option enables scanning of HWP3 files.
    # If you turn off this option, the original files will still be scanned, but without additional processing.
    scanHWP3: "yes"

    # -- Enable internal e-mail scanner.
    # If you turn off this option, the original files will still be scanned, but without parsing individual
    # messages/attachments.
    scanMail: "yes"

    # -- Scan RFC1341 messages split over many emails.
    # You will need to periodically clean up $TemporaryDirectory/clamav-partial directory.
    # WARNING: This option may open your system to a DoS attack.
    scanPartialMessages: "no"

    # -- With this option enabled ClamAV will try to detect phishing attempts by using HTML.Phishing and Email.Phishing
    # NDB signatures.
    phishingSignatures: "yes"

    # -- With this option enabled ClamAV will try to detect phishing attempts by analyzing URLs found in emails using WDB
    # and PDB signature databases.
    phishingScanURLs: "yes"

    # -- Enable the DLP module
    structuredDataDetection: "no"

    # -- This option sets the lowest number of Credit Card numbers found in a file to generate a detect.
    structuredMinCreditCardCount: 3

    # -- With this option enabled the DLP module will search for valid Credit Card numbers only. Debit and Private Label
    # cards will not be searched.
    structuredCCOnly: "no"

    # -- This option sets the lowest number of Social Security Numbers found in a file to generate a detect.
    structuredMinSSNCount: 3

    # -- With this option enabled the DLP module will search for valid SSNs formatted as xxx-yy-zzzz
    structuredSSNFormatNormal: "yes"

    # -- With this option enabled the DLP module will search for valid SSNs formatted as xxxyyzzzz
    structuredSSNFormatStripped: "no"

    # -- Perform HTML normalisation and decryption of MS Script Encoder code.
    # If you turn off this option, the original files will still be scanned, but without additional processing.
    scanHTML: "yes"

    # -- ClamAV can scan within archives and compressed files.
    # If you turn off this option, the original files will still be scanned, but without unpacking and additional
    # processing.
    scanArchive: "yes"

    # -- This option sets the maximum amount of time to a scan may take.
    # In this version, this field only affects the scan time of ZIP archives.
    # Value of 0 disables the limit.
    # Note: disabling this limit or setting it too high may result allow scanning of certain files to lock up the scanning
    # process/threads resulting in a Denial of Service.
    # Time is in milliseconds.
    maxScanTime: 120000

    # -- This option sets the maximum amount of data to be scanned for each input file. Archives and other containers are
    # recursively extracted and scanned up to this value.
    # Value of 0 disables the limit
    # Note: disabling this limit or setting it too high may result in severe damage to the system.
    maxScanSize: "400M"

    # -- Files larger than this limit won't be scanned. Affects the input file itself as well as files contained inside it
    # (when the input file is an archive, a document or some other kind of container).
    # Value of 0 disables the limit.
    # Note: disabling this limit or setting it too high may result in severe damage to the system.
    # Technical design limitations prevent ClamAV from scanning files greater than 2 GB at this time.
    maxFileSize: "100M"

    # -- Nested archives are scanned recursively, e.g. if a Zip archive contains a RAR file, all files within it will also
    # be scanned. This options specifies how deeply the process should be continued.
    # Note: setting this limit too high may result in severe damage to the system.
    maxRecursion: 17

    # -- Number of files to be scanned within an archive, a document, or any other container file.
    # Value of 0 disables the limit.
    # Note: disabling this limit or setting it too high may result in severe damage to the system.
    maxFiles: 10000

    # -- Maximum size of a file to check for embedded PE. Files larger than this value will skip the additional analysis
    # step.
    # Note: disabling this limit or setting it too high may result in severe damage to the system.
    maxEmbeddedPE: "40M"

    # -- Maximum size of a HTML file to normalize. HTML files larger than this value will not be normalized or scanned.
    # Note: disabling this limit or setting it too high may result in severe damage to the system.
    maxHTMLNormalize: "40M"

    # -- Maximum size of a normalized HTML file to scan. HTML files larger than this value after normalization will not be
    # scanned.
    # Note: disabling this limit or setting it too high may result in severe damage to the system.
    maxHTMLNoTags: "8M"

    # -- Maximum size of a script file to normalize. Script content larger than this value will not be normalized or
    # scanned.
    # Note: disabling this limit or setting it too high may result in severe damage to the system.
    maxScriptNormalize: "20M"

    # -- Maximum size of a ZIP file to reanalyze type recognition. ZIP files larger than this value will skip the step to
    # potentially reanalyze as PE.
    # Note: disabling this limit or setting it too high may result in severe damage to the system.
    maxZipTypeRcg: "1M"

    # -- This option sets the maximum number of partitions of a raw disk image to be scanned.
    #    # Raw disk images with more partitions than this value will have up to
    #    # the value number partitions scanned. Negative values are not allowed.
    maxPartitions: 50

    # -- This option sets the maximum number of icons within a PE to be scanned.
    # PE files with more icons than this value will have up to the value number icons scanned.
    # Negative values are not allowed.
    # WARNING: setting this limit too high may result in severe damage or impact performance.
    maxIconsPE: 100

    # -- This option sets the maximum recursive calls for HWP3 parsing during scanning. HWP3 files using more than this
    # limit will be terminated and alert the user.
    # Scans will be unable to scan any HWP3 attachments if the recursive limit is reached.
    # Negative values are not allowed.
    # WARNING: setting this limit too high may result in severe damage or impact performance.
    maxRecHWP3: 16

    # -- This option sets the maximum calls to the PCRE match function during  an instance of regex matching.
    # Instances using more than this limit will be terminated and alert the user but the scan will continue.
    # For more information on match_limit, see the PCRE documentation.
    # Negative values are not allowed.
    # WARNING: setting this limit too high may severely impact performance.
    pcreMatchLimit: 100000

    # -- This option sets the maximum recursive calls to the PCRE match function during an instance of regex matching.
    # Instances using more than this limit will be terminated and alert the user but the scan will continue.
    # For more information on match_limit_recursion, see the PCRE documentation.
    # Negative values are not allowed and values > PCREMatchLimit are superfluous.
    # WARNING: setting this limit too high may severely impact performance.
    pcreRecMatchLimit: 2000

    # -- This option sets the maximum filesize for which PCRE subsigs will be executed. Files exceeding this limit will
    # not have PCRE subsigs executed unless a subsig is encompassed to a smaller buffer.
    # Negative values are not allowed.
    # Setting this value to zero disables the limit.
    # WARNING: setting this limit too high or disabling it may severely impact performance.
    pcreMaxFileSize: "100M"

    # --  When AlertExceedsMax is set, files exceeding the MaxFileSize, MaxScanSize, or MaxRecursion limit will be flagged
    # with the virus name starting with "Heuristics.Limits.Exceeded".
    alertExceedsMax: "no"

    # -- Don't scan files larger than OnAccessMaxFileSize
    # Value of 0 disables the limit.
    onAccessMaxFileSize: "5M"

    # -- Max number of scanning threads to allocate to the OnAccess thread pool at startup. These threads are the ones
    # responsible for creating a connection with the daemon and kicking off scanning after an event has been processed.
    # To prevent clamonacc from consuming all clamd's resources keep this lower than clamd's max threads.
    onAccessMaxThreads: 5

    # -- Max amount of time (in milliseconds) that the OnAccess client should spend for every connect, send, and recieve
    # attempt when communicating with clamd via curl.
    onAccessCurlTimeout: 5000

    # -- Toggles dynamic directory determination. Allows for recursively watching include paths.
    onAccessDisableDDD: "no"

    # -- Modifies fanotify blocking behaviour when handling permission events.
    # If off, fanotify will only notify if the file scanned is a virus, and not perform any blocking.
    onAccessPrevention: "no"

    # -- When using prevention, if this option is turned on, any errors that occur during scanning will result in the
    # event attempt being denied. This could potentially lead to unwanted system behaviour with certain configurations,
    # so the client defaults this to off and prefers allowing access events in case of scan or connection error.
    onAccessDenyOnError: "no"

    # -- Toggles extra scanning and notifications when a file or directory is created or moved.
    # Requires the DDD system to kick-off extra scans.
    onAccessExtraScanning: "no"

    # -- With this option you can exclude the root UID (0). Processes run under root with be able to access all files
    # without triggering scans or permission denied events.
    # Note that if clamd cannot check the uid of the process that generated an on-access scan event (e.g., because
    # OnAccessPrevention was not enabled, and the process already exited), clamd will perform a scan.  Thus, setting
    # OnAccessExcludeRootUID is not *guaranteed* to prevent every access by the root user from triggering a scan (unless
    # OnAccessPrevention is enabled).
    onAccessExcludeRootUID: "no"

    # -- With this option you can exclude specific UIDs. Processes with these UIDs will be able to access all files
    # without triggering scans or permission denied events.
    # This option can be used multiple times (one per line).
    # Using a value of 0 on any line will disable this option entirely.
    # To exclude the root UID (0) please enable the OnAccessExcludeRootUID option.
    # Also note that if clamd cannot check the uid of the process that generated an on-access scan event (e.g., because
    # OnAccessPrevention was not enabled, and the process already exited), clamd will perform a scan.  Thus, setting
    # OnAccessExcludeUID is not *guaranteed* to prevent every access by the specified uid from triggering a scan (unless
    # OnAccessPrevention is enabled).
    onAccessExcludeUID: 0

    # -- This option allows exclusions via user names when using the on-access scanning client.
    # It can be used multiple times.
    # It has the same potential race condition limitations of the OnAccessExcludeUID option.
    onAccessExcludeUname: "no"

    # -- Number of times the OnAccess client will retry a failed scan due to connection problems (or other issues).
    onAccessRetryAttempts: 0

    # -- With this option enabled ClamAV will load bytecode from the database.
    # It is highly recommended you keep this option on, otherwise you'll miss detections for many new viruses.
    bytecode: "yes"

    # -- Set bytecode security level.
    # Possible values:
    #   None -      No security at all, meant for debugging.
    #               DO NOT USE THIS ON PRODUCTION SYSTEMS.
    #               This value is only available if clamav was built with --enable-debug!
    #   TrustSigned - Trust bytecode loaded from signed .c[lv]d files, insert runtime safety checks for bytecode loaded
    #                 from other sources.
    #   Paranoid -  Don't trust any bytecode, insert runtime checks for all.
    # Recommended: TrustSigned, because bytecode in .cvd files already has these checks.
    # Note that by default only signed bytecode is loaded, currently you can only load unsigned bytecode in --enable-debug
    # mode.
    bytecodeSecurity: "TrustSigned"

    # -- Allow loading bytecode from outside digitally signed .c[lv]d files.
    # **Caution**: You should NEVER run bytecode signatures from untrusted sources.
    # Doing so may result in arbitrary code execution.
    bytecodeUnsigned: "no"

    # -- Set bytecode timeout in milliseconds
    bytecodeTimeout: 10000

    # -- Path to the log file.
    logFile: ""

    # -- By default the log file is locked for writing - the lock protects against running clamav multiple times.
    # This option disables log file locking.
    logFileUnlock: "no"

    # -- Maximum size of the log file.
    # Value of 0 disables the limit.
    # You may use 'M' or 'm' for megabytes (1M = 1m = 1048576 bytes)
    # and 'K' or 'k' for kilobytes (1K = 1k = 1024 bytes).
    # in bytes just don't use modifiers. If LogFileMaxSize is enabled,
    # log rotation (the LogRotate option) will always be enabled.
    logFileMaxSize: "1M"

    # -- Log time with each message.
    logTime: "no"

    # -- Enable verbose logging
    logVerbose: "no"

    # -- Use system logger (can work together with updateLogFile).
    logSyslog: "yes"

    # -- Specify the type of syslog messages.
    logFacility: "LOG_LOCAL6"

    # -- Enable log rotation. Always enabled when logFileMaxSize is enabled.
    logRotate: "no"

    # -- This option allows to tune what is logged when a message is infected.
    # Possible values are Off (the default - nothing is logged), Basic (minimal info logged), Full (verbose info logged)
    #
    # Note:
    # For this to work properly in sendmail, make sure the msg_id, mail_addr, rcpt_addr and i macroes are available in
    # eom. In other words add a line like: Milter.macros.eom={msg_id}, {mail_addr}, {rcpt_addr}, i to your .cf file.
    # Alternatively use the macro:
    # define(`confMILTER_MACROS_EOM', `{msg_id}, {mail_addr}, {rcpt_addr}, i')
    # Postfix should be working fine with the default settings.
    logInfected: ""

    # -- This option allows to tune what is logged when no threat is found in a scanned message.
    # See logInfected for possible values and caveats.
    logClean: "no"

    # -- Additional custom configuration:
    additionalConfiguration: {}
  # Settings for freshclam.
  freshclam:
    # -- Path to the log file.
    updateLogFile: ""

    # -- Maximum size of the log file.
    # Value of 0 disables the limit.
    # You may use 'M' or 'm' for megabytes (1M = 1m = 1048576 bytes)
    # and 'K' or 'k' for kilobytes (1K = 1k = 1024 bytes).
    # in bytes just don't use modifiers. If LogFileMaxSize is enabled,
    # log rotation (the LogRotate option) will always be enabled.
    logFileMaxSize: "1M"

    # -- Log time with each message.
    logTime: "no"

    # -- Enable verbose logging
    logVerbose: "no"

    # -- Use system logger (can work together with updateLogFile).
    logSyslog: "yes"

    # -- Specify the type of syslog messages.
    logFacility: "LOG_LOCAL6"

    # -- Enable log rotation. Always enabled when logFileMaxSize is enabled.
    logRotate: "no"

    # -- This option allows you to save the process identifier of the daemon
    # This file will be owned by root, as long as freshclam was started by root.
    # It is recommended that the directory where this file is stored is also owned by root to keep other users from
    # tampering with it.
    pidFile: ""

    # -- By default when started freshclam drops privileges and switches to the "clamav" user. This directive allows you
    # to change the database owner.
    databaseOwner: "clamav"

    # -- Use DNS to verify virus database version. FreshClam uses DNS TXT records to verify database and software
    # versions. With this directive you can change the database verification domain.
    # WARNING: Do not touch it unless you're configuring freshclam to use your own database verification domain.
    dnsDatabaseInfo: ""

    # -- How many attempts to make before giving up.
    maxAttempts: 3

    # -- With this option you can control scripted updates. It's highly recommended to keep it enabled.
    scriptedUpdates: "yes"

    # -- By default freshclam will keep the local databases (.cld) uncompressed to make their handling faster. With this
    # option you can enable the compression; the change will take effect with the next database update.
    compressLocalDatabase: "no"

    # -- Number of database checks per day.
    checks: 12

    # -- Send the RELOAD command to clamd.
    notifyClamd: "no"

    # -- Run command after successful database update.
    # Use EXIT_1 to return 1 after successful database update.
    onUpdateExecute: ""

    # -- Run command when database update process fails.
    onErrorExecute: ""

    # -- Run command when freshclam reports outdated version.
    # In the command string %v will be replaced by the new version number.
    onOutdatedExecute: ""

    # -- Enable debug messages in libclamav.
    debug: "no"

    # -- Timeout in seconds when connecting to database server.
    connectTimeout: "30"

    # -- Timeout in seconds when reading from database server. 0 means no timeout.
    receiveTimeout: "60"

    # -- This option enables downloading of bytecode.cvd, which includes additional detection mechanisms and improvements
    # to the ClamAV engine.
    bytecode: "yes"

    # -- Additional custom configuration:
    additionalConfiguration: { }

    # HTTP proxy settings.
    proxy:
      # -- Enables HTTP Proxy settings.
      enabled: false
      # -- The HTTPProxyServer may be prefixed with [scheme]:// to specify which kind of proxy is used.
      #   http://     HTTP Proxy. Default when no scheme or proxy type is specified.
      #   https://    HTTPS Proxy. (Added in 7.52.0 for OpenSSL, GnuTLS and NSS)
      #   socks4://   SOCKS4 Proxy.
      #   socks4a://  SOCKS4a Proxy. Proxy resolves URL hostname.
      #   socks5://   SOCKS5 Proxy.
      #   socks5h://  SOCKS5 Proxy. Proxy resolves URL hostname.
      server: "https://proxy.example.com"
      # -- HTTP proxy port.
      port: "1234"
      # -- HTTP proxy username.
      username: "myusername"
      # -- HTTP proxy password.
      password: "mypass"

    # ClamAV database setings
    database:
      # -- When using a private ClamAV mirror which requires basic auth. This value will be used for all customURLs and
      # mirror when no specific auth is used.
      #
      # auth:
      #   username: ""
      #   password: ""
      auth: { }
      # Database mirror settings.
      mirror:
        # -- Enable database mirror usage.
        enabled: true
        # -- Database scheme.
        scheme: "https"
        # -- Database URL.
        url: "nexus.souvap-univention.de/repository/ClamAV"
        # -- When using a private ClamAV mirror which requires basic auth. Overrides "settings.database.auth".
        #
        # auth:
        #   username: ""
        #   password: ""
        auth: { }

      # -- Provide custom sources for database files.
      customURLs:
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/badmacro.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/blurl.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/bofhland_cracked_URL.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/bofhland_malware_attach.hdb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/bofhland_malware_URL.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/bofhland_phishing_URL.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/foxhole_filename.cdb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/foxhole_generic.cdb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/foxhole_js.cdb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/foxhole_js.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/hackingteam.hsb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/junk.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/jurlbl.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/jurlbla.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/lott.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/malwarehash.hsb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/phish.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/phishtank.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/porcupine.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/rogue.hdb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/scam.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/shelter.ldb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/spamattach.hdb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/spamimg.hdb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/spear.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/spearl.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/winnow.attachments.hdb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/winnow_bad_cw.hdb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/winnow_extended_malware.hdb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/winnow_extended_malware_links.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/winnow_malware.hdb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/winnow_malware_links.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/winnow_phish_complete_url.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/ftp_swin_edu_au/sanesecurity/winnow_spam_complete.ndb"
        - scheme: "https"
          url: "nexus.souvap-univention.de/repository/urlhaus_abuse_ch/downloads/urlhaus.ndb"
  # Settings for milter.
  milter:
    # -- Define the group ownership for the (unix) milter socket.
    milterSocketGroup: ""

    # -- Sets the permissions on the (unix) milter socket to the specified mode.
    milterSocketMode: ""

    # -- Remove stale socket after unclean shutdown.
    fixStaleSocket: "yes"

    # -- Waiting for data from clamd will timeout after this time (seconds).
    # Value of 0 disables the timeout.
    readTimeout: 120

    # -- Run as another user.
    user: "clamav"

    # -- This option allows you to save a process identifier of the listening daemon (main thread).
    # This file will be owned by root, as long as clamav-milter was started by root. It is recommended that the directory
    # where this file is stored is also owned by root to keep other users from tampering with it.
    pidFile: ""

    # -- Optional path to the global temporary directory.
    temporaryDirectory: "/tmp"

    # -- Define the clamd socket to connect to for scanning.
    clamdSocket: "unix:/tmp/clamd.sock"

    # -- Messages originating from these hosts/networks will not be scanned. This option takes a host(name)/mask pair in
    # CIRD notation and can be repeated several times. If "/mask" is omitted, a host is assumed.
    # To specify a locally originated, non-smtp, email use the keyword "local"
    localNet: [ ]

    # Messages larger than this value won't be scanned.
    # Make sure this value is lower or equal than StreamMaxLength in clamd
    maxFileSize: "25M"

    # The following group of options controls the delivery process under
    # different circumstances.
    # The following actions are available:
    # - Accept
    #   The message is accepted for delivery
    # - Reject
    #   Immediately refuse delivery (a 5xx error is returned to the peer)
    # - Defer
    #   Return a temporary failure message (4xx) to the peer
    # - Blackhole (not available for OnFail)
    #   Like Accept but the message is sent to oblivion
    # - Quarantine (not available for OnFail)
    #   Like Accept but message is quarantined instead of being delivered

    # -- Action to be performed on clean messages.
    onClean: "Accept"

    # -- Action to be performed on infected messages
    onInfected: "Quarantine"

    # -- Action to be performed on error conditions (this includes failure to allocate data structures, no scanners
    # available, network timeouts, unknown scanner replies and the like).
    onFail: "Defer"

    # -- This option allows to set a specific rejection reason for infected messages and it's therefore only useful
    # together with "OnInfected Reject". The string "%v", if present, will be replaced with the virus name.
    rejectMsg: ""

    # -- If this option is set to "Replace" (or "Yes"), an "X-Virus-Scanned" and an "X-Virus-Status" headers will be
    # attached to each processed message, possibly replacing existing headers.
    # If it is set to Add, the X-Virus headers are added possibly on top of the existing ones.
    # Note that while "Replace" can potentially break DKIM signatures, "Add" may confuse procmail and similar filters.
    addHeader: "no"

    # When AddHeader is in use, this option allows to arbitrary set the reported hostname. This may be desirable in order
    # to avoid leaking internal names.
    # If unset the real machine name is used.
    reportHostname: ""

    # -- Path to the log file.
    logFile: ""

    # -- By default the log file is locked for writing - the lock protects against running clamav-milter multiple times.
    # This option disables log file locking.
    logFileUnlock: "no"

    # -- Maximum size of the log file.
    # Value of 0 disables the limit.
    # You may use 'M' or 'm' for megabytes (1M = 1m = 1048576 bytes)
    # and 'K' or 'k' for kilobytes (1K = 1k = 1024 bytes).
    # in bytes just don't use modifiers. If LogFileMaxSize is enabled,
    # log rotation (the LogRotate option) will always be enabled.
    logFileMaxSize: "1M"

    # -- Log time with each message.
    logTime: "no"

    # -- Enable verbose logging
    logVerbose: "no"

    # -- Use system logger (can work together with updateLogFile).
    logSyslog: "yes"

    # -- Specify the type of syslog messages.
    logFacility: "LOG_LOCAL6"

    # -- Enable log rotation. Always enabled when logFileMaxSize is enabled.
    logRotate: "no"

    # -- This option allows to tune what is logged when a message is infected.
    # Possible values are Off (the default - nothing is logged), Basic (minimal info logged), Full (verbose info logged)
    #
    # Note:
    # For this to work properly in sendmail, make sure the msg_id, mail_addr, rcpt_addr and i macroes are available in
    # eom. In other words add a line like: Milter.macros.eom={msg_id}, {mail_addr}, {rcpt_addr}, i to your .cf file.
    # Alternatively use the macro:
    # define(`confMILTER_MACROS_EOM', `{msg_id}, {mail_addr}, {rcpt_addr}, i')
    # Postfix should be working fine with the default settings.
    logInfected: ""

    # -- This option allows to tune what is logged when no threat is found in a scanned message.
    # See logInfected for possible values and caveats.
    logClean: ""

    # -- This option affects the behaviour of LogInfected, LogClean and VirusAction when a message with multiple
    # recipients is scanned:
    # If SupportMultipleRecipients is off (the default) then one single log entry is generated for the message and, in
    # case the message is determined to be malicious, the command indicated by VirusAction is executed just once. In both
    # cases only the last recipient is reported.
    # If SupportMultipleRecipients is on: then one line is logged for each recipient and the command indicated by
    # VirusAction is also executed once for each recipient.
    supportMultipleRecipients: "yes"

    # -- Additional custom configuration:
    additionalConfiguration: { }
  # Settings for ICAP interface.
  icap:
    # -- The time in seconds after which a connection without activity can be canceled.
    timeout: 300

    # -- The maximum number of requests can be served by one connection.
    maxKeepAliveRequests: 100

    # -- The maximum time in seconds waiting for a new requests before a connection will be closed.
    keepAliveTimeout: 600

    # -- The initial number of server processes. Each server process generates a number of threads, which serve the
    # requests.
    startServers: 1

    # -- The maximum allowed number of server processes.
    maxServers: 4

    # -- If the number of the available threads is less than number, the c-icap server starts a new child.
    minSpareThreads: 10

    # -- If the number of the available threads is more than number, then the c-icap server kills a child.
    maxSpareThreads: 20

    # -- The number of threads per child process.
    threadsPerChild: 10

    # -- The maximum number of requests that a child process can serve.
    # After this number has been reached, the process dies.
    # The goal of this parameter is to minimize the risk of memory leaks and increase the stability of c-icap.
    # It can be disabled by setting its value to 0.
    maxRequestsPerChild: 0

    # -- The Administrator of this server. Used when displaying information about this server (logs, info service, etc).
    serverAdmin: "c-icap-admin"

    # -- A name for this server. Used when displaying information about this server (logs, info service, etc).
    serverName: "c-icap"

    # -- Optional path to the global temporary directory.
    tmpDir: "/var/tmp"

    # -- The maximum memory size in bytes taken by an object which is processed by c-icap . If the size of an object's
    # body is larger than the maximum size a temporary file is used.
    maxMemObject: 131072

    # -- The level of debugging information to be logged. The acceptable range of levels is between 0 and 10.
    debugLevel: 1

    # -- Enable or disable ICAP requests pipelining
    pipelining: "on"

    # -- Try to handle requests from buggy clients, for example ICAP requests missing "\r\n" sequences
    supportBuggyClients: "off"

    # -- Set it to on if you want to use username provided by the proxy server.
    # This is the recommended way to use users in c-icap. If the RemoteProxyUsers is off and c-icap configured to use
    # users or groups the internal authentication mechanism will be used.
    remoteProxyUsers: "off"

    # -- Additional custom configuration:
    additionalConfiguration: { }

    # -- The list of file types or groups of file types which will be scanned for viruses.
    # For supported types look in c-icap.magic configuration file.
    virusScanScanFileTypes: "TEXT DATA EXECUTABLE ARCHIVE GIF JPEG MSOFFICE"

    # -- The percentage of data that can be sent by the c-icap server before receiving the complete body of a request.
    # This feature in conjuction with the folowing can be usefull becouse if the download of the object takes a lot of
    # time the connection of web client to proxy can be expired.
    # It must be noticed that the data which delivered to the web client maybe contains a virus or a part of a virus and
    # can be dangerous. In the other hand partial data (for example 5% data of a zip or an exe file) in most cases can not
    # be used.
    # Set it to 0 to disable this feature.
    virusScanSendPercentData: 5

    # -- Only if the object is bigger than size then the percentage of data which defined by SendPercentData sent by the
    # c-icap server before receiving the complete body of request.
    virusScanStartSendPercentDataAfter: "2M"

    # -- The maximum size of files which will be scanned by antivirus service.You can use K and M indicators to define
    # size in kilobytes or megabytes.
    virusScanMaxObjectSize: "500M"

# -- In seconds, time the given to the pod needs to terminate gracefully.
# Ref: https://kubernetes.io/docs/concepts/workloads/pods/pod/#termination-of-pods
terminationGracePeriodSeconds: ""

# -- Tolerations for pod assignment
# Ref: https://kubernetes.io/docs/concepts/configuration/taint-and-toleration/
tolerations: []

# -- Topology spread constraints rely on node labels to identify the topology domain(s) that each Node is in
# Ref: https://kubernetes.io/docs/concepts/workloads/pods/pod-topology-spread-constraints/
#
# topologySpreadConstraints:
#   - maxSkew: 1
#     topologyKey: failure-domain.beta.kubernetes.io/zone
#     whenUnsatisfiable: DoNotSchedule
topologySpreadConstraints: []

# Set up update strategy.
#
# Ref: https://kubernetes.io/docs/concepts/workloads/controllers/deployment/#strategy
#
# Example:
# updateStrategy:
#  type: RollingUpdate
#  rollingUpdate:
#    maxSurge: 25%
#    maxUnavailable: 25%
updateStrategy:
  # -- Set to Recreate if you use persistent volume that cannot be mounted by more than one pods to make sure the pods
  # is destroyed first.
  type: "RollingUpdate"
...
